Deduct credits from customer credit ledger
curl --request POST \
--url https://connect.withvayu.com/credits/deduct \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"creditAmount": 123,
"customerId": "<string>"
}
'import requests
url = "https://connect.withvayu.com/credits/deduct"
payload = {
"creditAmount": 123,
"customerId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({creditAmount: 123, customerId: '<string>'})
};
fetch('https://connect.withvayu.com/credits/deduct', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"params": [
{
"param": "<string>",
"message": "<string>"
}
]
}{
"type": "authentication_error",
"code": "authentication_failed",
"message": "<string>"
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "<string>"
}{
"type": "api_error",
"code": "internal_error",
"message": "<string>"
}Credits
Deduct credits from customer credit ledger
This endpoint is used to deduct credits from the specified customer account. Submit the credit amount and customer ID in the request body to deduct the credits. The deducted credits will be subtracted from the customer’s account.
POST
/
credits
/
deduct
Deduct credits from customer credit ledger
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
RequestSuccess
⌘I
